Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.aggregation.messaging
Class NonAggregate

    java.lang.Object
      rice.p2p.aggregation.messaging.NonAggregate

All Implemented Interfaces:
  java.io.Serializable, PastContent, RawPastContent

    public class NonAggregate

extends java.lang.Object
implements RawPastContent

Just wraps a header in Past to know that it is something other than an Aggregate

Author:
  Jeff Hoye
See Also:
  Serialized Form

Field Summary
`RawPastContent` | `content`
`static short` | `TYPE`

Constructor Summary
`NonAggregate(InputBuffer buf, Endpoint endpoint, RawPastContent subContent, PastContentDeserializer pcd)`
`NonAggregate(PastContent content)`
`NonAggregate(RawPastContent subContent)`

Method Summary
`PastContent` | `checkInsert(Id id, PastContent existingContent)` Checks if a insert operation should be allowed.
`PastContentHandle` | `getHandle(Past local)` Produces a handle for this content object.
`Id` | `getId()` Returns the Id under which this object is stored in Past.
`short` | `getType()` Raw Serialization
`boolean` | `isMutable()` States if this content object is mutable.
`void` | `serialize(OutputBuffer buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### content

    public RawPastContent content

Constructor Detail

### NonAggregate

    public NonAggregate(PastContent content)

### NonAggregate

    public NonAggregate(RawPastContent subContent)

### NonAggregate

    public NonAggregate(InputBuffer buf,
                        Endpoint endpoint,
                        RawPastContent subContent,
                        PastContentDeserializer pcd)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### checkInsert

    public PastContent checkInsert(Id id,
                                   PastContent existingContent)
                            throws PastException

  Description copied from interface: `PastContent`
  Checks if a insert operation should be allowed. Invoked when a Past node receives an insert request and it is a replica root for the id; invoked on the object to be inserted. This method determines the effect of an insert operation on an object that already exists: it computes the new value of the stored object, as a function of the new and the existing object.

  Specified by:
    `checkInsert` in interface `PastContent`
  Parameters:
    `id` - the key identifying the object
  Returns:
    null, if the operation is not allowed; else, the new object to be stored on the local node.
  Throws:
    `PastException`

### getHandle

    public PastContentHandle getHandle(Past local)

  Description copied from interface: `PastContent`
  Produces a handle for this content object. The handle is retrieved and returned to the client as a result of the Past.lookupHandles() method.

  Specified by:
    `getHandle` in interface `PastContent`
  Returns:
    the handle

### getId

    public Id getId()

  Description copied from interface: `PastContent`
  Returns the Id under which this object is stored in Past.

  Specified by:
    `getId` in interface `PastContent`
  Returns:
    the id

### isMutable

    public boolean isMutable()

  Description copied from interface: `PastContent`
  States if this content object is mutable. Mutable objects are not subject to dynamic caching in Past.

  Specified by:
    `isMutable` in interface `PastContent`
  Returns:
    true if this object is mutable, else false

### getType

    public short getType()

  Raw Serialization

  Specified by:
    `getType` in interface `RawPastContent`

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawPastContent`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.